org.apache.cassandra.transport.messages

## Class AuthChallenge

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Response
    - - org.apache.cassandra.transport.messages.AuthChallenge

    public class AuthChallenge
    extends Message.Response

SASL challenge sent from client to server

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

`Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

### Field Summary

Fields
`static Message.Codec<AuthChallenge>` `codec`

### Fields inherited from class org.apache.cassandra.transport.Message.Response

`tracingId, warnings`

### Fields inherited from class org.apache.cassandra.transport.Message

`connection, forcedProtocolVersion, logger, type`

### Constructor Summary

Constructors
Constructor and Description
`AuthChallenge(byte[] token)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getToken()`

### Methods inherited from class org.apache.cassandra.transport.Message.Response

`getTracingId, getWarnings, setTracingId, setWarnings`

### Methods inherited from class org.apache.cassandra.transport.Message

`attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### codec

    public static final Message.Codec<AuthChallenge> codec

### Constructor Detail

#### AuthChallenge

    public AuthChallenge(byte[] token)

### Method Detail

#### getToken

    public byte[] getToken()